IOException Class Reference

Signals that an I/O exception of some sort has occurred. More...

Inheritance diagram for IOException:

## Public Member Functions

| IOException ()
| IOException (log4cxx_status_t stat)
| IOException (const LogString &msg)
| IOException (const IOException &src)
IOException & | operator= (const IOException &)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Detailed Description

Signals that an I/O exception of some sort has occurred.

This class is the general class of exceptions produced by failed or interrupted I/O operations.

## Constructor & Destructor Documentation

IOException | ( |  | ) |

IOException | ( | log4cxx_status_t | stat | ) |

IOException | ( | const LogString & | msg | ) |

IOException | ( | const IOException & | src | ) |

## Member Function Documentation

IOException& operator= | ( | const IOException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h